int lType = 2; // ntrips is default
int aType = 0; // both, local, or tourist

void keyPressed()
{
  // station placement degrees
  if (key == 'd' || key == 'D') {
    dSwitch = true; 
    updateStationLoc(dSwitch);
  }
  
  // station placement centrality
  if (key == 'c' || key == 'C') {
    dSwitch = false; 
    updateStationLoc(dSwitch);
  }
  
  // mouseover text toggle
    if (key == 'm' || key == 'M') {
    if (mSwitch==true) mSwitch = false;
    else if (mSwitch==false) mSwitch = true; 
  }
  
  // route display toggle
  if (key == 'r' || key == 'R') {
    if (vSwitch==true) vSwitch = false;
    else if (vSwitch==false) vSwitch = true;
    updateRouteVis(vSwitch);
  }
  
  // instruction text toggle
  if (key == 'i' || key == 'I') {
    if (iSwitch==true) iSwitch = false;
    else if (iSwitch==false) iSwitch = true; 
  }
  
  // different line types
  if (key == '1' || key == '2') {
    if (key == '2') lType = 1; // duration
    if (key == '1') lType = 2; // ntrips
  }
  
  // different account types
  if (key == 'l' || key == 'L') aType = 1; // local
  if (key == 'v' || key == 'V') aType = 2; // visitor
  if (key == 'b' || key == 'B') aType = 0; // both
  
    // set camera modes
    if (key == ' ') cam.setFreeRotationMode(); // unrestrict
    if (key == '.') { // reset to original view
      cam.setRotations(2.005,-0.895,1.898);
      cam.lookAt(-798.0758, 191.97868, 1952.2181);
      cam.setDistance(5000);
    }
    if (key == 't' || key == 'T') {  // set to map view from above
      cam.setRotations(PI/2, -0.13417394, -0.7198524);
      cam.lookAt(-1368.8743, 128.02785, 2431.312,0);
      cam.setDistance(5000);
      dSwitch = false;
      updateStationLoc(dSwitch);
    }
    if (key == ',') {
      // prints current rotations, zoom, and pan to console
      float rotations[] = cam.getRotations();
      println(rotations[0],rotations[1],rotations[2]);
      double dist1 = cam.getDistance();  // current distance
      float[] pan2 = cam.getLookAt();  // float[] { x, y, z }, looked-at point
      println(dist1);
      println(pan2[0],pan2[1],pan2[2]);
    }
  
}