# this script loads in the durations table and the nTripsTable. for each station pair in nTripsTable where ss==es or ridesBetween<200, delete corresponding pairs in durations table, then re-save duations

import pandas as pd

# read in trips to keep (already thresholded) and durations (all pairs)
dfTrips = pd.read_csv('200tripsBetween_DC2016.csv',sep=',')
dfDuras = pd.read_csv('avgSecDuration_ridesBetween_acctType_byMonth_2016.csv',sep=',')

# for all pairs to keep, grab them from durations and add to new df
dfNew = pd.DataFrame()
for ix, row in dfTrips.iterrows():
    ssn = row['start_station_number']
    esn = row['end_station_number']
    s = dfDuras[(dfDuras['start_station_number']==ssn) & (dfDuras['end_station_number']==esn)]
    dfNew = dfNew.append(s)

# save new df
dfNew.to_csv('avgSecDuration_200ridesBetween_acctType_byMonth_2016.csv',index=False)
