void iDisplay(){
  hint(DISABLE_DEPTH_TEST);
  cam.beginHUD();
 
  //Title
    fill(0,0,80);
    textAlign(LEFT,CENTER);
    textSize(40);
    text("Capital Bike Flow", -width/2+50, -height/2+50);
    
  // interaction key
  pushMatrix();
   translate(-width/2+lM,-height/2+100);
    textSize(14);
    textAlign(LEFT);
    fill(0,0,80);
    text("K Schlesinger | MAT 259 Final Project",0,0);
    text("data from Capital Bikeshare in Metro DC",0,0+tS);
    text("available at www.capitalbikeshare.com",0,0+2*tS);
  popMatrix();
    pushMatrix();
    translate(-width/2+lM, -height/2+400); //750
    drawLegend(17);
    translate(0,60);
    drawLegend(200);
    popMatrix();
    
    pushMatrix();
    textSize(14);
    translate(-width/2+lM,height/2-lM);
    pushMatrix();
    translate(0,-7*tS);
    text("[d] : scales stations by degree of connectivity",0,4*tS);
    text("[c] : scales stations by betweenness centrality",0,5*tS);
    text("[1] : number of rides | [2] : average ride duration",0,6*tS);
    text("[v] : visiting users | [l] : local users | [b] : all users",0,7*tS);
    text("[.] : original view | [t] : top view",0,3*tS);
    //text("[h] : toggles route highlighting",0,3*tS);
    text("[r] : toggles route visibility",0,2*tS);
    text("[m] : toggles mouseover text",0,tS);
    text("[i] : toggles text interface",0,0);
    popMatrix();
    popMatrix();
    
  cam.endHUD();
  hint(ENABLE_DEPTH_TEST);
}

void mDisplay() {
  hint(DISABLE_DEPTH_TEST);
  cam.beginHUD();

  // mouseover text
    if (dispTxt==true) {
      fill(0,0,80);
      textSize(14);
      textAlign(RIGHT);
      text(theTxt,width/2-lM,-height/2+lM);
    }
    
  cam.endHUD();
  hint(ENABLE_DEPTH_TEST);
}

void drawLegend(int hue) {
  beginShape();
    stroke(hue,0,briMax,200);
    strokeWeight(2);
    noFill();
    curveVertex(0,0);
    for(int d=0;d<10;d++){
      float smap = map(d,0,nMonths+1,satMin,satMax);
      stroke(hue,smap,briMax,200);
      if (hue==17) curveVertex(d*12,random1[d]);
      if (hue==200)curveVertex(d*12,random2[d]);
    }
    stroke(hue,satMax,briMax,200);
    curveVertex(120,0);
    endShape();
    textAlign(CENTER);
    textSize(14);
    text("Jan",0,-20);
    text("Sept",110,-20);
    textAlign(LEFT);
    textSize(14);
    if (hue==17) text("Local Users",130,0);
    if (hue==200)text("Visiting Users",130,0);
}